/[CvsGraph]/cvsgraph/Makefile.in
ViewVC logotype

Annotate of /cvsgraph/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph


Revision 1.9.4.1 - (show annotations)
Mon Nov 13 20:42:23 2006 UTC (11 years, 1 month ago) by bertho
Branch: automake-dev1
Changes since 1.9: +699 -54 lines
Changes to use automake
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 bin_PROGRAMS = cvsgraph$(EXEEXT)
38 subdir = .
39 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
40 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
41 $(srcdir)/cvsgraph.1.in $(srcdir)/cvsgraph.conf.5.in \
42 $(srcdir)/cvsgraph.spec.in $(top_srcdir)/configure AUTHORS \
43 COPYING ChangeLog INSTALL NEWS depcomp install-sh missing \
44 rcsl.c rcsy.c rcsy.h
45 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46 am__aclocal_m4_deps = $(top_srcdir)/configure.in
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48 $(ACLOCAL_M4)
49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50 configure.lineno configure.status.lineno
51 mkinstalldirs = $(install_sh) -d
52 CONFIG_HEADER = config.h
53 CONFIG_CLEAN_FILES = cvsgraph.1 cvsgraph.conf.5 cvsgraph.spec
54 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
55 "$(DESTDIR)$(man5dir)"
56 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
57 PROGRAMS = $(bin_PROGRAMS)
58 am_cvsgraph_OBJECTS = cvsgraph.$(OBJEXT) readconf.$(OBJEXT) \
59 utils.$(OBJEXT) rcsy.$(OBJEXT) rcsl.$(OBJEXT)
60 cvsgraph_OBJECTS = $(am_cvsgraph_OBJECTS)
61 cvsgraph_LDADD = $(LDADD)
62 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
63 depcomp = $(SHELL) $(top_srcdir)/depcomp
64 am__depfiles_maybe = depfiles
65 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
66 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
67 CCLD = $(CC)
68 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
69 LEXCOMPILE = $(LEX) $(LFLAGS) $(AM_LFLAGS)
70 YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
71 SOURCES = $(cvsgraph_SOURCES)
72 DIST_SOURCES = $(cvsgraph_SOURCES)
73 man1dir = $(mandir)/man1
74 man5dir = $(mandir)/man5
75 NROFF = nroff
76 MANS = $(man1_MANS) $(man5_MANS)
77 ETAGS = etags
78 CTAGS = ctags
79 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
80 distdir = $(PACKAGE)-$(VERSION)
81 top_distdir = $(distdir)
82 am__remove_distdir = \
83 { test ! -d $(distdir) \
84 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
85 && rm -fr $(distdir); }; }
86 DIST_ARCHIVES = $(distdir).tar.gz
87 GZIP_ENV = --best
88 distuninstallcheck_listfiles = find . -type f -print
89 distcleancheck_listfiles = find . -type f -print
90 ACLOCAL = @ACLOCAL@
91 AMDEP_FALSE = @AMDEP_FALSE@
92 AMDEP_TRUE = @AMDEP_TRUE@
93 AMTAR = @AMTAR@
94 AUTOCONF = @AUTOCONF@
95 AUTOHEADER = @AUTOHEADER@
96 AUTOMAKE = @AUTOMAKE@
97 AWK = @AWK@
98 CC = @CC@
99 CCDEPMODE = @CCDEPMODE@
100 CFLAGS = @CFLAGS@
101 CPP = @CPP@
102 CPPFLAGS = @CPPFLAGS@
103 CYGPATH_W = @CYGPATH_W@
104 DEFS = @DEFS@
105 DEPDIR = @DEPDIR@
106 ECHO_C = @ECHO_C@
107 ECHO_N = @ECHO_N@
108 ECHO_T = @ECHO_T@
109 EGREP = @EGREP@
110 EXEEXT = @EXEEXT@
111 GDLIB_CONFIG = @GDLIB_CONFIG@
112 GD_CFLAGS = @GD_CFLAGS@
113 GD_LDFLAGS = @GD_LDFLAGS@
114 GD_LIBS = @GD_LIBS@
115 INSTALL_DATA = @INSTALL_DATA@
116 INSTALL_PROGRAM = @INSTALL_PROGRAM@
117 INSTALL_SCRIPT = @INSTALL_SCRIPT@
118 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
119 LDFLAGS = @LDFLAGS@
120 LEX = @LEX@
121 LEXLIB = @LEXLIB@
122 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
123 LIBOBJS = @LIBOBJS@
124 LIBS = @LIBS@
125 LTLIBOBJS = @LTLIBOBJS@
126 MAKEINFO = @MAKEINFO@
127 OBJEXT = @OBJEXT@
128 PACKAGE = @PACKAGE@
129 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
130 PACKAGE_NAME = @PACKAGE_NAME@
131 PACKAGE_STRING = @PACKAGE_STRING@
132 PACKAGE_TARNAME = @PACKAGE_TARNAME@
133 PACKAGE_VERSION = @PACKAGE_VERSION@
134 PATH_SEPARATOR = @PATH_SEPARATOR@
135 SET_MAKE = @SET_MAKE@
136 SHELL = @SHELL@
137 STRIP = @STRIP@
138 VERSION = @VERSION@
139 YACC = @YACC@
140 ac_ct_CC = @ac_ct_CC@
141 ac_ct_STRIP = @ac_ct_STRIP@
142 ac_prog_pkg_config = @ac_prog_pkg_config@
143 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
144 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
145 am__include = @am__include@
146 am__leading_dot = @am__leading_dot@
147 am__quote = @am__quote@
148 am__tar = @am__tar@
149 am__untar = @am__untar@
150 bindir = @bindir@
151 build_alias = @build_alias@
152 datadir = @datadir@
153 exec_prefix = @exec_prefix@
154 host_alias = @host_alias@
155 includedir = @includedir@
156 infodir = @infodir@
157 install_sh = @install_sh@
158 libdir = @libdir@
159 libexecdir = @libexecdir@
160 localstatedir = @localstatedir@
161 mandir = @mandir@
162 mkdir_p = @mkdir_p@
163 oldincludedir = @oldincludedir@
164 prefix = @prefix@
165 program_transform_name = @program_transform_name@
166 sbindir = @sbindir@
167 sharedstatedir = @sharedstatedir@
168 sysconfdir = @sysconfdir@
169 target_alias = @target_alias@
170 AUTOMAKE_OPTIONS = gnu
171 AM_CFLAGS := -Wall -DETCDIR='"${sysconfdir}"'
172 AM_YFLAGS = -d -t
173 AM_LFLAGS = -d
174 cvsgraph_SOURCES = \
175 cvsgraph.c \
176 readconf.c \
177 utils.c \
178 rcsy.y \
179 rcsl.l
180
181 SUBDIR = contrib
182 man1_MANS = cvsgraph.1
183 man5_MANS = cvsgraph.conf.5
184 CLEANFILES = rcsy.c rcsl.c
185 all: config.h
186 $(MAKE) $(AM_MAKEFLAGS) all-am
187
188 .SUFFIXES:
189 .SUFFIXES: .c .l .o .obj .y
190 am--refresh:
191 @:
192 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
193 @for dep in $?; do \
194 case '$(am__configure_deps)' in \
195 *$$dep*) \
196 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
197 cd $(srcdir) && $(AUTOMAKE) --gnu \
198 && exit 0; \
199 exit 1;; \
200 esac; \
201 done; \
202 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
203 cd $(top_srcdir) && \
204 $(AUTOMAKE) --gnu Makefile
205 .PRECIOUS: Makefile
206 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
207 @case '$?' in \
208 *config.status*) \
209 echo ' $(SHELL) ./config.status'; \
210 $(SHELL) ./config.status;; \
211 *) \
212 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
213 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
214 esac;
215
216 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
217 $(SHELL) ./config.status --recheck
218
219 $(top_srcdir)/configure: $(am__configure_deps)
220 cd $(srcdir) && $(AUTOCONF)
221 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
222 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
223
224 config.h: stamp-h1
225 @if test ! -f $@; then \
226 rm -f stamp-h1; \
227 $(MAKE) stamp-h1; \
228 else :; fi
229
230 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
231 @rm -f stamp-h1
232 cd $(top_builddir) && $(SHELL) ./config.status config.h
233 $(srcdir)/config.h.in: $(am__configure_deps)
234 cd $(top_srcdir) && $(AUTOHEADER)
235 rm -f stamp-h1
236 touch $@
237
238 distclean-hdr:
239 -rm -f config.h stamp-h1
240 cvsgraph.1: $(top_builddir)/config.status $(srcdir)/cvsgraph.1.in
241 cd $(top_builddir) && $(SHELL) ./config.status $@
242 cvsgraph.conf.5: $(top_builddir)/config.status $(srcdir)/cvsgraph.conf.5.in
243 cd $(top_builddir) && $(SHELL) ./config.status $@
244 cvsgraph.spec: $(top_builddir)/config.status $(srcdir)/cvsgraph.spec.in
245 cd $(top_builddir) && $(SHELL) ./config.status $@
246 install-binPROGRAMS: $(bin_PROGRAMS)
247 @$(NORMAL_INSTALL)
248 test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
249 @list='$(bin_PROGRAMS)'; for p in $$list; do \
250 p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
251 if test -f $$p \
252 ; then \
253 f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
254 echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
255 $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
256 else :; fi; \
257 done
258
259 uninstall-binPROGRAMS:
260 @$(NORMAL_UNINSTALL)
261 @list='$(bin_PROGRAMS)'; for p in $$list; do \
262 f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
263 echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
264 rm -f "$(DESTDIR)$(bindir)/$$f"; \
265 done
266
267 clean-binPROGRAMS:
268 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
269 rcsy.h: rcsy.c
270 @if test ! -f $@; then \
271 rm -f rcsy.c; \
272 $(MAKE) rcsy.c; \
273 else :; fi
274 cvsgraph$(EXEEXT): $(cvsgraph_OBJECTS) $(cvsgraph_DEPENDENCIES)
275 @rm -f cvsgraph$(EXEEXT)
276 $(LINK) $(cvsgraph_LDFLAGS) $(cvsgraph_OBJECTS) $(cvsgraph_LDADD) $(LIBS)
277
278 mostlyclean-compile:
279 -rm -f *.$(OBJEXT)
280
281 distclean-compile:
282 -rm -f *.tab.c
283
284 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cvsgraph.Po@am__quote@
285 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rcsl.Po@am__quote@
286 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rcsy.Po@am__quote@
287 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/readconf.Po@am__quote@
288 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utils.Po@am__quote@
289
290 .c.o:
291 @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
292 @am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
293 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
294 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
295 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
296
297 .c.obj:
298 @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
299 @am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
300 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
301 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
302 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
303
304 .l.c:
305 $(LEXCOMPILE) $<
306 sed '/^#/ s|$(LEX_OUTPUT_ROOT)\.c|$@|' $(LEX_OUTPUT_ROOT).c >$@
307 rm -f $(LEX_OUTPUT_ROOT).c
308
309 .y.c:
310 $(YACCCOMPILE) $<
311 if test -f y.tab.h; then \
312 to=`echo "$*_H" | sed \
313 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/' \
314 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`; \
315 sed -e "/^#/!b" -e "s/Y_TAB_H/$$to/g" -e "s|y\.tab\.h|$*.h|" \
316 y.tab.h >$*.ht; \
317 rm -f y.tab.h; \
318 if cmp -s $*.ht $*.h; then \
319 rm -f $*.ht ;\
320 else \
321 mv $*.ht $*.h; \
322 fi; \
323 fi
324 if test -f y.output; then \
325 mv y.output $*.output; \
326 fi
327 sed '/^#/ s|y\.tab\.c|$@|' y.tab.c >$@t && mv $@t $@
328 rm -f y.tab.c
329 uninstall-info-am:
330 install-man1: $(man1_MANS) $(man_MANS)
331 @$(NORMAL_INSTALL)
332 test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
333 @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
334 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
335 for i in $$l2; do \
336 case "$$i" in \
337 *.1*) list="$$list $$i" ;; \
338 esac; \
339 done; \
340 for i in $$list; do \
341 if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
342 else file=$$i; fi; \
343 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
344 case "$$ext" in \
345 1*) ;; \
346 *) ext='1' ;; \
347 esac; \
348 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
349 inst=`echo $$inst | sed -e 's/^.*\///'`; \
350 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
351 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
352 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
353 done
354 uninstall-man1:
355 @$(NORMAL_UNINSTALL)
356 @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
357 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
358 for i in $$l2; do \
359 case "$$i" in \
360 *.1*) list="$$list $$i" ;; \
361 esac; \
362 done; \
363 for i in $$list; do \
364 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
365 case "$$ext" in \
366 1*) ;; \
367 *) ext='1' ;; \
368 esac; \
369 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
370 inst=`echo $$inst | sed -e 's/^.*\///'`; \
371 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
372 echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
373 rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
374 done
375 install-man5: $(man5_MANS) $(man_MANS)
376 @$(NORMAL_INSTALL)
377 test -z "$(man5dir)" || $(mkdir_p) "$(DESTDIR)$(man5dir)"
378 @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
379 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
380 for i in $$l2; do \
381 case "$$i" in \
382 *.5*) list="$$list $$i" ;; \
383 esac; \
384 done; \
385 for i in $$list; do \
386 if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
387 else file=$$i; fi; \
388 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
389 case "$$ext" in \
390 5*) ;; \
391 *) ext='5' ;; \
392 esac; \
393 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
394 inst=`echo $$inst | sed -e 's/^.*\///'`; \
395 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
396 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
397 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst"; \
398 done
399 uninstall-man5:
400 @$(NORMAL_UNINSTALL)
401 @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
402 l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
403 for i in $$l2; do \
404 case "$$i" in \
405 *.5*) list="$$list $$i" ;; \
406 esac; \
407 done; \
408 for i in $$list; do \
409 ext=`echo $$i | sed -e 's/^.*\\.//'`; \
410 case "$$ext" in \
411 5*) ;; \
412 *) ext='5' ;; \
413 esac; \
414 inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
415 inst=`echo $$inst | sed -e 's/^.*\///'`; \
416 inst=`echo $$inst | sed '$(transform)'`.$$ext; \
417 echo " rm -f '$(DESTDIR)$(man5dir)/$$inst'"; \
418 rm -f "$(DESTDIR)$(man5dir)/$$inst"; \
419 done
420
421 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
422 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
423 unique=`for i in $$list; do \
424 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
425 done | \
426 $(AWK) ' { files[$$0] = 1; } \
427 END { for (i in files) print i; }'`; \
428 mkid -fID $$unique
429 tags: TAGS
430
431 TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
432 $(TAGS_FILES) $(LISP)
433 tags=; \
434 here=`pwd`; \
435 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
436 unique=`for i in $$list; do \
437 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
438 done | \
439 $(AWK) ' { files[$$0] = 1; } \
440 END { for (i in files) print i; }'`; \
441 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
442 test -n "$$unique" || unique=$$empty_fix; \
443 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
444 $$tags $$unique; \
445 fi
446 ctags: CTAGS
447 CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
448 $(TAGS_FILES) $(LISP)
449 tags=; \
450 here=`pwd`; \
451 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
452 unique=`for i in $$list; do \
453 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
454 done | \
455 $(AWK) ' { files[$$0] = 1; } \
456 END { for (i in files) print i; }'`; \
457 test -z "$(CTAGS_ARGS)$$tags$$unique" \
458 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
459 $$tags $$unique
460
461 GTAGS:
462 here=`$(am__cd) $(top_builddir) && pwd` \
463 && cd $(top_srcdir) \
464 && gtags -i $(GTAGS_ARGS) $$here
465
466 distclean-tags:
467 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
468
469 distdir: $(DISTFILES)
470 $(am__remove_distdir)
471 mkdir $(distdir)
472 $(mkdir_p) $(distdir)/. $(distdir)/contrib
473 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
474 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
475 list='$(DISTFILES)'; for file in $$list; do \
476 case $$file in \
477 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
478 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
479 esac; \
480 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
481 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
482 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
483 dir="/$$dir"; \
484 $(mkdir_p) "$(distdir)$$dir"; \
485 else \
486 dir=''; \
487 fi; \
488 if test -d $$d/$$file; then \
489 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
490 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
491 fi; \
492 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
493 else \
494 test -f $(distdir)/$$file \
495 || cp -p $$d/$$file $(distdir)/$$file \
496 || exit 1; \
497 fi; \
498 done
499 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
500 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
501 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
502 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
503 || chmod -R a+r $(distdir)
504 dist-gzip: distdir
505 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
506 $(am__remove_distdir)
507
508 dist-bzip2: distdir
509 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
510 $(am__remove_distdir)
511
512 dist-tarZ: distdir
513 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
514 $(am__remove_distdir)
515
516 dist-shar: distdir
517 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
518 $(am__remove_distdir)
519
520 dist-zip: distdir
521 -rm -f $(distdir).zip
522 zip -rq $(distdir).zip $(distdir)
523 $(am__remove_distdir)
524
525 dist dist-all: distdir
526 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
527 $(am__remove_distdir)
528
529 # This target untars the dist file and tries a VPATH configuration. Then
530 # it guarantees that the distribution is self-contained by making another
531 # tarfile.
532 distcheck: dist
533 case '$(DIST_ARCHIVES)' in \
534 *.tar.gz*) \
535 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
536 *.tar.bz2*) \
537 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
538 *.tar.Z*) \
539 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
540 *.shar.gz*) \
541 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
542 *.zip*) \
543 unzip $(distdir).zip ;;\
544 esac
545 chmod -R a-w $(distdir); chmod a+w $(distdir)
546 mkdir $(distdir)/_build
547 mkdir $(distdir)/_inst
548 chmod a-w $(distdir)
549 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
550 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
551 && cd $(distdir)/_build \
552 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
553 $(DISTCHECK_CONFIGURE_FLAGS) \
554 && $(MAKE) $(AM_MAKEFLAGS) \
555 && $(MAKE) $(AM_MAKEFLAGS) dvi \
556 && $(MAKE) $(AM_MAKEFLAGS) check \
557 && $(MAKE) $(AM_MAKEFLAGS) install \
558 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
559 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
560 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
561 distuninstallcheck \
562 && chmod -R a-w "$$dc_install_base" \
563 && ({ \
564 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
565 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
566 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
567 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
568 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
569 } || { rm -rf "$$dc_destdir"; exit 1; }) \
570 && rm -rf "$$dc_destdir" \
571 && $(MAKE) $(AM_MAKEFLAGS) dist \
572 && rm -rf $(DIST_ARCHIVES) \
573 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
574 $(am__remove_distdir)
575 @(echo "$(distdir) archives ready for distribution: "; \
576 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
577 sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
578 distuninstallcheck:
579 @cd $(distuninstallcheck_dir) \
580 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
581 || { echo "ERROR: files left after uninstall:" ; \
582 if test -n "$(DESTDIR)"; then \
583 echo " (check DESTDIR support)"; \
584 fi ; \
585 $(distuninstallcheck_listfiles) ; \
586 exit 1; } >&2
587 distcleancheck: distclean
588 @if test '$(srcdir)' = . ; then \
589 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
590 exit 1 ; \
591 fi
592 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
593 || { echo "ERROR: files left in build directory after distclean:" ; \
594 $(distcleancheck_listfiles) ; \
595 exit 1; } >&2
596 check-am: all-am
597 check: check-am
598 all-am: Makefile $(PROGRAMS) $(MANS) config.h
599 installdirs:
600 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man5dir)"; do \
601 test -z "$$dir" || $(mkdir_p) "$$dir"; \
602 done
603 install: install-am
604 install-exec: install-exec-am
605 install-data: install-data-am
606 uninstall: uninstall-am
607
608 install-am: all-am
609 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
610
611 installcheck: installcheck-am
612 install-strip:
613 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
614 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
615 `test -z '$(STRIP)' || \
616 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
617 mostlyclean-generic:
618
619 clean-generic:
620 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
621
622 distclean-generic:
623 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
624
625 maintainer-clean-generic:
626 @echo "This command is intended for maintainers to use"
627 @echo "it deletes files that may require special tools to rebuild."
628 -rm -f rcsl.c
629 -rm -f rcsy.c
630 -rm -f rcsy.h
631 clean: clean-am
632
633 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
634
635 distclean: distclean-am
636 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
637 -rm -rf ./$(DEPDIR)
638 -rm -f Makefile
639 distclean-am: clean-am distclean-compile distclean-generic \
640 distclean-hdr distclean-tags
641
642 dvi: dvi-am
643
644 dvi-am:
645
646 html: html-am
647
648 info: info-am
649
650 info-am:
651
652 install-data-am: install-man
653
654 install-exec-am: install-binPROGRAMS
655
656 install-info: install-info-am
657
658 install-man: install-man1 install-man5
659
660 installcheck-am:
661
662 maintainer-clean: maintainer-clean-am
663 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
664 -rm -rf $(top_srcdir)/autom4te.cache
665 -rm -rf ./$(DEPDIR)
666 -rm -f Makefile
667 maintainer-clean-am: distclean-am maintainer-clean-generic
668
669 mostlyclean: mostlyclean-am
670
671 mostlyclean-am: mostlyclean-compile mostlyclean-generic
672
673 pdf: pdf-am
674
675 pdf-am:
676
677 ps: ps-am
678
679 ps-am:
680
681 uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
682
683 uninstall-man: uninstall-man1 uninstall-man5
684
685 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
686 clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
687 dist-gzip dist-shar dist-tarZ dist-zip distcheck distclean \
688 distclean-compile distclean-generic distclean-hdr \
689 distclean-tags distcleancheck distdir distuninstallcheck dvi \
690 dvi-am html html-am info info-am install install-am \
691 install-binPROGRAMS install-data install-data-am install-exec \
692 install-exec-am install-info install-info-am install-man \
693 install-man1 install-man5 install-strip installcheck \
694 installcheck-am installdirs maintainer-clean \
695 maintainer-clean-generic mostlyclean mostlyclean-compile \
696 mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
697 uninstall-am uninstall-binPROGRAMS uninstall-info-am \
698 uninstall-man uninstall-man1 uninstall-man5
699
700 # Tell versions [3.59,3.63) of GNU make to not export all variables.
701 # Otherwise a system limit (for SysV at least) may be exceeded.
702 .NOEXPORT:

  ViewVC Help
Powered by ViewVC 1.1.0 with CvsGraph 1.7.0